razor (1:2.85-9build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:05 +0100

razor (1:2.85-9build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:13:00 +0100

razor (1:2.85-9) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Changed vcs type from git to Git based on URL.
  * Fix day-of-week for changelog entry 2.700-1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:06:14 +0000

razor (1:2.85-8) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on perl.
    + razor: Drop versioned constraint on perl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:40:20 +0100

razor (1:2.85-7) unstable; urgency=medium

  * QA upload.
  * debian/control: Set Vcs-* Headers.
  * debian/rules: Pass --no-parallel to dh to fix non-deterministic build
    failures.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 22 May 2022 10:23:56 -0700

razor (1:2.85-6) unstable; urgency=medium

  * QA upload.
  * debian/changelog: Remove trailing whitespace.
  * Switch to debhelper compat 13, dh and source format "3.0 (quilt)".
    (Closes: #1007665, #1011402)
  * debian/control: Drop obsolete "DM-Upload-Allowed" field.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Remove outdated Vcs-* fields.
  * debian/control: Add ${misc:Depends} to Depends.
  * debian/postinst: Remove obsolete check.
  * debian/control: Update to Standards-Version 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 21 May 2022 16:19:56 -0700

razor (1:2.85-5) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #866833)
  * debian/rules: Add build-{arch,indep}. (Closes: #999005)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 23:34:34 +0200

razor (1:2.85-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)":
    replace PREFIX with DESTDIR in debian/rules.
    (Closes: #807478)
  * Additional change for perl 5.22: fix handling of section 5 manpages:
    - drop unneeded handling from debian/rules
    - add patch to adjust regexp for inserting man5 targets in Makefile.PL:
      ExtUtils::MakeMaker now adds quotation marks.

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Dec 2015 21:13:53 +0100

razor (1:2.85-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    set perl library directory in debian/rules, using the value of
    $Config{vendorarch}
    (Closes: #752810)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:58:28 +0200

razor (1:2.85-4) unstable; urgency=low

  * [7e80fb6] Add use-Digest-SHA.patch to use Digest::SHA instead of
    Digest::SHA1 and drop libdigest-sha1-perl (Build-)Depends.
    Thanks to Salvatore Bonaccorso (Closes: #624579)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 28 May 2011 16:46:31 +0200

razor (1:2.85-3) unstable; urgency=low

  * [1ac1321] Adopting razor, thanks to Francois Marier and  Corrin
    Lakeland for the prior work on razor (Closes: #521390)
  * [a45a504] Switch to quilt
  * [1244161] debian/control: Updated VCS and added DM-Upload-Allowed
    fields
  * [1d4c95a] debian/rules: Use dh_installlogcheck to install the
    logchek ignore file
  * [1b83e29]
    debian/patches/02_fix_empty_attachments_identified_as_spam.patch:
    Empty attachments might be identified as spam, fixed
  * [bdce9d8] debian/patches/03_accept_relative_path.patch: Do not chdir
    to / prior to trying to open the file. (Closes: #242174)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 27 Mar 2009 18:33:46 +0100

razor (1:2.85-2) unstable; urgency=low

  * Orphan this package at the request of the MIA team (closes: #519352)
  * Bump Standards-Version up to 3.8.1
  * Bump debhelper compatibility and dependency to 7
  * debian/rules: make use of dh_prep

 -- Francois Marier <francois@debian.org>  Thu, 19 Mar 2009 20:55:52 +1300

razor (1:2.85-1) unstable; urgency=low

  * New upstream release (no code changes, new license)
  * Update copyright file since the license has changed
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Bump debhelper compatibility and dependency to 6

 -- Francois Marier <francois@debian.org>  Wed, 23 Jul 2008 13:25:06 +1200

razor (1:2.84-6) unstable; urgency=low

  * Clarify which user account needs to register in README.Debian
    (closes: #457429)
  * Add missing perl dependencies through ${perl:Depends} (closes: #463145)

 -- Francois Marier <francois@debian.org>  Wed, 30 Jan 2008 11:37:27 +1300

razor (1:2.84-5) unstable; urgency=low

  * Fix sf.net URL in the watch file (closes: #453533)
  * Bump Standards-Version to 3.7.3 (no changes)
  * Fix typo in Vcs-Svn
  * Remove vim variables at the end of the changelog
  * Remove empty directory in debian/rules

 -- Francois Marier <francois@debian.org>  Tue, 11 Dec 2007 13:19:58 +1300

razor (1:2.84-4) unstable; urgency=low

  * Add the "missingok" option to logrotate (closes: #450397).
    Thanks to OHURA Makoto for the patch!
  * Rename the XS-Vcs-* fields to Vcs-*

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:49:28 +1300

razor (1:2.84-3) unstable; urgency=low

  * Set the default logfile to be /var/log/razor-agent.log
    (closes: #285406, #448140)
  * Provide a logrotate file
  * Remove README.Logging

 -- Francois Marier <francois@debian.org>  Sat, 03 Nov 2007 22:50:01 +1300

razor (1:2.84-2) unstable; urgency=low

  * Add a watch file
  * Set the homepage field in debian/control
  * Add a few entries in the logcheck ignore file

 -- Francois Marier <francois@debian.org>  Wed, 31 Oct 2007 15:08:30 +1300

razor (1:2.84-1) unstable; urgency=low

  * New upstream release (closes: #417399)

  * debian/control:
    * Add myself to uploaders with maintainer's permission
    * Mention svn repository (collab-maint) in debian/control
    * Bump Standards-Version to 3.7.2
    * Increase the versioned dependency on debhelper
  * debian/rules:
    * Remove unncessary commented-out lines
    * Add an empty binary-indep target (closes: #395749)
    * Log to syslog by default to work-around root directory bug (closes: #247057, #425437)
    * Fix "make distclean" lintian warning
    * Make use of the CURDIR environment variable everywhere
    * Move some directory creations to debian/dirs
    * Remove broken PERL5LIB lines
  * debian/compat: Set debhelper compatibility to 5

  * README.Debian: Remove obsolete "razor-client" line (closes: #384035)
  * README.Logging: Update for the change to the default logfile

  * Introduce an epoch to sync version numbers with upstream
  * Install a logcheck ignore file (closes: #270559)
  * Put all of the Makefiles in the right section (fixes lintian warnings)

 -- Francois Marier <francois@debian.org>  Wed, 17 Oct 2007 14:59:44 +1300

razor (2.810-2) unstable; urgency=low
  * Removed incorrect dependency for sid (Closes: #361033)

 -- Corrin Lakeland <lakeland@debian.org>  Fri,  7 Apr 2006 09:42:29 +1200

razor (2.810-1) unstable; urgency=low

  * New version, (Closes: #360199)
      Razor is finally free again

 -- Corrin Lakeland <lakeland@debian.org>  Wed,  5 Apr 2006 14:42:29 +1200

razor (2.720-2) unstable; urgency=medium

  * New upstream
  * Fix to corrupted emails crashing razor (Closes: #314433)
  * Sys-syslog logging is still broken in this release.  I wanted to get this
    release out quickly to avoid the potential DOS attack.

 -- Corrin Lakeland <lakeland@debian.org>  Fri, 24 Jun 2005 10:21:35 +1200

razor (2.710-1) unstable; urgency=low

  * New upstream, minor bug fix.

 -- Corrin Lakeland <lakeland@debian.org>  Thu, 16 Jun 2005 14:21:30 +1200

razor (2.700-1) unstable; urgency=low

  * New upstream, mostly bug-fixes.  Lets hope this finally fixes /.razor

 -- Corrin Lakeland <lakeland@debian.org>  Wed, 16 Jun 2004 12:44:38 +1200

razor (2.670-2) unstable; urgency=low

  * Removed dependency on nilsisma (Closes: #294494)

 -- Corrin Lakeland <lakeland@debian.org>  Fri, 11 Feb 2005 10:15:49 +1300

razor (2.670-1) unstable; urgency=low

  * Lots of changes, mostly upstream fixes meaning we need fewer fixes.
  * Upgrade to latest stable release (Closes: #261506)
  * Don't include upstream changelogs in debian changes (Closes: #292181)
  * Fixed typos (Closes: #288558, #281098)
  * RAZOR_HOME is now derived automatically and cannot be manually set.
      The logic for deriving it automatically has been improved so you
        shouldn't see any problems unless they're trying to do something odd.
        I'm going to close the old bug reports about logging to / because
        I cannot reproduce them at all with this version
        (Closes: #269723, #262765, #247057)
        This also fixes the potential security concerns with logging to /tmp
        as logging to /tmp should never happen now. (Closes: #292420)
      For all users, the default configuration file is
        /etc/razor/razor-agent.conf unless this file does not exist.
        Any user, including root, can override this default by creating a
        file ~/.razor/razor-agent.conf.  If the latter file exists, then the
        file in /etc will be ignored.   Note that this behaviour is different
        to previous versions of razor.
  * Patches to support tainting have been included upstream and are no longer
      applied specifically for debian.
  * Mentions syslog in man page (Closes: #278981)
  * No known missing dependencies (Closes: #271809) -- reopen if you know any
  * Logcheck from <le-debianbugs@biz.h42.de> is included (Closes #270559).
    It has not been enabled by default mostly because razor does not use
    syslog by default so I'd rather not rotate a log file that probably does
    not exist.
  * Better timeouts when the servers are unavailable.  This still isn't
    totally fixed but I think it is sufficiently fixed to close the bug
    reports.  To summarise: Networks are unreliable and sometimes cloudmark
    will be down, but sometimes it is just slow.  Razor waits a while and then
    gives up.  Some programs get impatient and terminate razor while it is
    still waiting.  (Closes: #213227, #176013)
 -- Corrin Lakeland <lakeland@debian.org>  Thu, 10 Feb 2005 08:30:06 +1300

razor (2.610-2) unstable; urgency=low

  * No major changes, mostly clearing out old bug reports.
  * Incomporated upstream change of the default logic method to 5
    instead of 4.  The difference in logic method relates to messages
    with multiple MIME components.  If the method is 4 then any nonspam
    MIME component says the message is nonspam, while method 5 classifies
    components as 'disputed' and resolves based on the rest of the message.

    Using method 4 makes it trivial for spammers to bypass razor (by adding
    a nonspam mime component to every spam) but in the past method 5
    resulted in some valid emails being marked as spam (because they
    included a background picture that was also used in spams.)  Vipul
    believes the problems with method 5 have been resolved and we should
    use the method that is harder to bypass.
  * Source code tweaks to assist with logging (Closes #262765, #269723)
    Thanks to Rene Konasz <oe4@gmx.at>
  * Latest version is now in Debian (Closes #261506)
  * Added a readme explaining how to log via syslog (Closes: #262711)
  * Support for logrotate will not be added; users wanting this should log via
    syslog, which already supports logrotate (Closes: #255937)
  * Revised the readme about razor-register (Closes: #268383)
  * As far as I can see, this leaves one bug outstanding -- when
    razor is unable to access cloudmark it gets unhappy.  This bug is present
    in all versions of razor.  Hopefully it will be fixed one day.

 -- Corrin Lakeland <lakeland@debian.org>  Mon,  6 Sep 2004 10:20:46 +1200

razor (2.610-1) unstable; urgency=low

  * New upstream

 -- Corrin Lakeland <lakeland@debian.org>  Sat,  7 Aug 2004 18:01:34 +1200

razor (2.400-3) unstable; urgency=low

  * Also reapplied Findlay's patch which prevents razor logging to /
  *   This should be much less important now since people running razor system
  *   wide should probably be using syslog instead of file.
  *   Closing some old bugs related to this (Closes: #153619, #151415)

 -- Corrin Lakeland <lakeland@debian.org>  Sun, 13 Jun 2004 19:44:38 +1200

razor (2.400-2) unstable; urgency=low

  *  First real attempt at fixing tainting issues
  *  Added an extra ugly untaint to Config.pm, specifically
  *  untainting the filename.  I'm not entirely happy about this, but
  *  I can't see any better solutions.  Superficial code analysis implies
  *  it won't add any security holes (it would require the cracker to have
  *  write permission to the system wide configuration file in order to
  *  hijack razor, and that file should have at least as tight permissions as
  *  the razor process so a cracker with access to that file won't gain
  *  much (perhaps another method to add a backdoor for themselves?)

 -- Corrin Lakeland <lakeland@debian.org>  Sun, 30 May 2004 18:14:43 +1200

razor (2.400-1) unstable; urgency=low

  * New upstream (quite a big change)
  *
  * Razor now supports syslog! (Lots of you have asked for this)
  *
  * If you are using razor system wide rather than per user, then
  * turn on syslog logging for proper log support, log rotation, etc.
  * Without syslog, razor logs to RAZOR_HOME, which defaults to /tmp.
  * I am not going to change the default RAZOR_HOME to /var/log as one
  * person requested because people that would not work for individual
  * users (no write permission).
  *
  * I'm going to say that this change closes the bug request for logging
  * to /var/log since syslog provides this (Closes: #240525)
  *
  * Updated the readme, making it clear razor-admin must be run
  * (Closes: #234043)
  *
  * This code now integrates the variable tainting directly, so if it doesn't
  * work for you, please report it as a bug.

 -- Corrin Lakeland <lakeland@debian.org>  Sat,  3 Apr 2004 11:45:56 +1200

razor (2.361-3) unstable; urgency=low

  * Applied patch to log somewhere sensible instead of /
  * Thanks to Duncan Findlay (Closes: #166012)

 -- Corrin Lakeland <lakeland@debian.org>  Thu, 18 Dec 2003 18:26:16 +1300

razor (2.361-2) unstable; urgency=low

  * Applied patch to work with spamassassin from
  http://www.ijs.si/software/amavisd/Razor2.patch-quinlan
    (Closes: #211097, #212647)

 -- Corrin Lakeland <lakeland@debian.org>  Fri, 10 Oct 2003 04:30:28 +0200

razor (2.361-1) unstable; urgency=low

  * Changed back to being a debian native package.  Sorry all, stupid mistake
    (Closes: #214579). The orig.tar.gz is from upstream and should match MD5
  * I had to bump the version number in order for it to allow a new release,
    so this is _not_ a new upstream.

 -- Corrin Lakeland <lakeland@debian.org>  Tue,  7 Oct 2003 21:32:40 +0200

razor (2.360-1) unstable; urgency=low

  * Changed version to 2.360 (Closes:  #213093)

 -- Corrin Lakeland <lakeland@debian.org>  Fri,  3 Oct 2003 22:26:57 +0200

razor (2.220-3) unstable; urgency=low

  * Changed depends on libc6 to ${shlibs:Depends} as suggested by Santiago
    Vila.  This makes it easier to keep the dependancies working.


 -- Corrin Lakeland <lakeland@debian.org>  Thu, 27 Mar 2003 09:23:47 +1200

razor (2.220-2) unstable; urgency=low

  * Changed depends on libc6 to support alpha (Closes: #186189)

 -- Corrin Lakeland <lakeland@debian.org>  Tue, 25 Mar 2003 15:57:23 +1200

razor (2.220-1) unstable; urgency=low

  * Upgrade to 2.22 (Closes #170752)
  * Depends on libc6 to make woody backporting safer (Closes: #181115)
  * Include the man5 directory (Closes: #181035, #163445, #161712)
  * Change default logic method to 5 (Closes: #178470)
  *   There is a serious bug with razor that means an email cotaining
  *   a MIME part that is known spam is by default considered spam.  There
  *   have been various workarounds but none are working yet.  This decision
  *   makes it trivial to bypass razor but is probably a better temporary
  *   measure than false positives
 -- Corrin Lakeland <lakeland@debian.org>  Mon, 24 Mar 2003 16:06:16 +1200

razor (2.200-2) unstable; urgency=low

  * Fixed missing export of PERL5LIB based on patches from several people
  * (Closes: 176011)
  * The timeout problem and a couple others (# 171227) may be fixed,
  * but I'm not confident enough to close the bug report yet

 -- Corrin Lakeland <lakeland@debian.org>  Sat, 18 Jan 2003 21:55:47 +1300

razor (2.200-1) unstable; urgency=low

  * New upstream
  * Various fixes suggested by Santiago Vila
  * First steps towards fixing log problems (no bugs closed yet)
  * Note that 2.20 (and before) have a bug relating to MIME handling.
  * This causes them to sometimes tag valid messages as spam.
  * this has been fixed in 2.22 which is considered too unstable to release

 -- Corrin Lakeland <lakeland@debian.org>  Tue, 26 Nov 2002 14:57:36 +1300

razor (2.152-4) unstable; urgency=low

  * Fix to logic in postinst (designed to make users not notice bug
    if upgrading from 2.14-2) (Closes: #162833)

 -- Corrin Lakeland <lakeland@debian.org>  Tue,  1 Oct 2002 09:39:42 +1200

razor (2.152-3) unstable; urgency=low

  * Fixed build depends (Patch from: lamont+buildd) (Closes: #162661)

 -- Corrin Lakeland <lakeland@debian.org>  Sun, 29 Sep 2002 09:21:50 +1200

razor (2.152-2) unstable; urgency=low

  * Fixed syntax error in postinst

 -- Corrin Lakeland <lakeland@debian.org>  Sat, 28 Sep 2002 08:52:07 +1200

razor (2.152-1) unstable; urgency=low

  * New upstream
  * Fixed incorrect removal of symlinks which prevented regeneration
  *   (Closes: #162266)
  * Razor no longer auto registers.  For most sites the users are the
  *   ones that report spam so they must register seperatly.  In the case
  *   of single user machines, seeing a debconf question was likely to cause
  *   confusion with the user thinking they had already registered.
  *   If I get any complaints I'll put it back with priorty=low and/or
  *   put a note in.
  * As a side effect this fixes a packaging bug (Closes: #161711)
  * Thanks to new HTML.c this package is now arch:any rather than all.

 -- Corrin Lakeland <lakeland@debian.org>  Thu, 26 Sep 2002 21:03:29 +1200

razor (2.14-4) unstable; urgency=low

  * Removed debconf calls.  Some people will want to register razor system
  * wide, but more people will want to register as an ordinary user.

 -- Corrin Lakeland <lakeland@debian.org>  Sun, 22 Sep 2002 14:58:16 +1200

razor (2.14-3) unstable; urgency=low

  * Many more fixes from Santiago Vila <sanvila@unex.es>
  * Some minor changes to the default configuration file
  *   This still needs some work so expect it to change a bit over the
  *   next few releases

 -- Corrin Lakeland <lakeland@debian.org>  Sun, 22 Sep 2002 11:21:19 +1200

razor (2.14-2) unstable; urgency=low

  * Many fixes from Santiago Vila <sanvila@unex.es>
  *   Changed "libtime-hires-perl" to "libtime-hires-perl | perl (>= 5.8)"
  *     since perl-5.8 now provides Time::HiRes (as suggested by Joey Hess).
  *   Changed Provides: to razor2
  *   Moved the call of razor-client to rules rather than postinst
  *
 -- Corrin Lakeland <lakeland@debian.org>  Sat, 21 Sep 2002 15:19:49 +1200

razor (2.14-1) unstable; urgency=low

  * New upstream version (now works with spamassassin)
  *   (Closes: #154682, #161068)
  *   New version fixes spamassassin incompatability (Closes: #143471)
  *   New version no longer includes (Closes: #148488)
  *   New version makes razor-report bug unreproducable (Closes: #143370)
  * New maintainer: Corrin Lakeland <lakeland@debian.org>
  *   Added .orig file downloaded from razor.sourceforge.net.
  *   razor is no longer incorrectly classified as debian native
  *   Moved /.razor.lst to /var/cache/razor/.razor.lst
  *     (Closes: #155734, #150415)
  *   Applied by hand the parts of David Kilzer's patch that still applied
  *     (Closes: #125940, #157413)
  *   Added a README.Debian from Francois Marier (Closes: #152519)
  *   Added a man page for razor-client
  * The following fixes were added by Robert but the bugs weren't closed:
  *   Depends on libmime-base64 (Closes: #150658)
  *   Depends on libnet-dns-perl (it always has??) (Closes: #150296)
  *   Depends on libdigest-hmac-perl (Closes: #149738)

 -- Corrin Lakeland <lakeland@debian.org>  Sat, 21 Sep 2002 10:36:07 +1200

razor (1.20-1) unstable; urgency=low

  * New upstream version (Closes: #130612)
  * Depend on fresher libtime-hires-perl version (Closes: #132948, #134711)
  * removed INSTALL file from deb (Closes: #135554)
  * moved pod that wasn't to manpage that is. (Closes: #138303)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 21:21:14 +0200

razor (1.19-1) unstable; urgency=low

  * New upstream release
  * This upstream fixes 125938 - (Closes: #125938)
  * Added default razor.conf and razor.lst (Closes: #125940)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 21:10:01 +0200

razor (1.17-1) unstable; urgency=low

  * New upstream release (Closes: #122791)
  * Removed unneeded dirs (Closes: #122882)
  * Fixed typo in copyright (Closes: #122624)
  * Added manpage for razor.conf (Closes: #122515, #123093)
  * Provides: librazor-perl added (Closes: #122898)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 10 Dec 2001 20:10:36 +0100

razor (1.13-1) unstable; urgency=low

  * Initial Release.

 -- Robert van der Meulen <rvdm@debian.org>  Wed, 28 Nov 2001 18:04:27 +0100
